# Buildable

API Documentation: | `Buildable`

Known Subtypes: |
`TextResource` | `PublicationArtifact` |
`VisualStudioSolution` | `VisualStudioProject` |

A `Buildable` represents an artifact or set of artifacts which are built by one or more `Task` instances.

### Properties

Property | Description
`buildDependencies` | Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `TaskDependency` `buildDependencies` (read-only)

Returns a dependency which contains the tasks which build this artifact. All `Buildable` implementations must ensure that the returned dependency object is live, so that it tracks changes to the dependencies of this buildable.